package com.zswl.cloud.springBtach.server.core.api.paotui.model.request;

import com.zswl.cloud.springBtach.server.core.api.paotui.model.Base;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.internal.build.AllowPrintStacktrace;

import java.util.List;

@Data
@AllowPrintStacktrace
@NoArgsConstructor
public class AddOrderRequest extends Base {

    private Integer dispatchMode = 1;          // 发单模式: 1.省钱 2.最快 3.指派 4.价格从低到高依次呼叫
    private String logistic;                  // 指派模式配送方 (如: uupt 或 dada,uupt)
    private String shopId;                    // 你方门店ID
    private String originId;                  // 你方配送单号
    private String orderSource;               // 订单来源
    private String orderSourceNo;             // 订单来源单号（美团必传）
    private String orderSn;                   // 订单流水号 (0~99999以内数字)
    private Integer isSubscribe = 0;          // 是否预约单: 0 否, 1 是
    private String subscribeType;             // 预约单类型: SEND/SHOP
    private Integer subscribeTime = 0;        // 期望预约送达时间 (Unix时间戳)
    private String receiverLongitude;         // 收件人经度
    private String receiverLatitude;          // 收件人纬度
    private String receiverAddress;           // 收件人地址
    private String receiverAddressDetail;     // 收件人详细地址
    private String receiverName;              // 收件人姓名
    private String receiverPhone;             // 收件人手机号
    private List<Goods> goods;                // 物品详细信息
    private Integer goodsValue;               // 物品价值 (单位: 分)
    private Integer goodsWeight;              // 物品重量 (单位: kg)
    private Integer goodsCategory;            // 物品类型
    private Integer mapType;                  // 坐标类型 (1: 高德, 2: 百度)
    private String callbackUrl;               // 订单配送状态回调地址
    private String orderRemark;               // 订单备注
    private Integer returnPrice = 0;          // 是否返回运费信息: 0-不返回, 1-返回
    private String dispatchOther = "0";       // 指派时兜底配送方 (如: uupt 或 dada,uupt)
    private Integer delayDelivery = 0;        // 延迟发单 (分钟)
    private Integer autoTips = 0;             // 是否开启自动加小费: 0 关闭, 1 开启
    private Integer autoTipAmount = 0;        // 小费金额 (单位: 元)
    private Integer preTipAmount = 0;         // 下单前加小费金额 (单位: 元)
    private Integer maxDeliveryAmount = 0;    // 限制最大配送金额 (单位: 元)

    @Data
    @AllowPrintStacktrace
    @NoArgsConstructor
    public static class Goods {
        private String name;                 // 物品名称
        private Integer number;              // 物品数量
        private Integer price;               // 物品单价 (单位: 分)
        private Integer total;               // 物品总价 (单位: 分)
    }
}
