package com.zswl.cloud.springBtach.server.core.api.paotui.model.request;

import com.zswl.cloud.springBtach.server.core.api.paotui.model.Base;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class StoreAddRequest extends Base {
    
    // 必传字段
    private String originId; // 门店ID
    private String name; // 门店名称
    private String city; // 城市编码
    private String district; // 区域编码
    private String phone; // 手机号码
    private String address; // 门店地址
    private Float longitude; // 门店经度
    private Float latitude; // 门店纬度
    private Integer category; // 物品类别
    private final Integer mapType = 1; // 坐标类型，默认1

    // 非必传字段
    private String logistics; // 配送平台
    private Config config; // 门店配送设置

    // 配置项内部类
    public static class Config {
        private String dispatchOther = "0"; // 指派时优先配送员
        private Integer delayDelivery = 0; // 延迟配送(分钟)
        private Integer autoTips = 0; // 自动小费


    }

}
