package com.zswl.cloud.springBtach.server.core.api.paotui.model.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrderDetailResponse {
    private int orderId; // 我方订单号
    private int shopId; // 我方门店ID
    private String originId; // 你方订单号，最长不超过32个字符
    private int dispatchMode; // 派单模式
    private String logistic; // 配送平台
    private String orderSource; // 订单来源
    private String orderSn; // 日流水号
    private float price; // 配送费（单位：元）
    private float couponAmount; // 优惠金额（单位：元）
    private String receiverName; // 收件人姓名
    private String receiverPhone; // 收件人电话
    private String receiverAddress; // 收件人地址
    private String receiverLongitude; // 收件人经度
    private String receiverLatitude; // 收件人纬度
    private List<Goods> goods; // 商品信息
    private int goodsValue; // 商品价值（单位：分）
    private int goodsWeight; // 商品重量
    private int goodsCategory; // 商品类别
    private int status; // 订单状态
    private String callbackUrl; // 回调地址
    private String mapType; // 坐标转换类型
    private String orderRemark; // 订单备注
    private String riderName; // 配送员姓名
    private String riderPhone; // 配送员手机
    private int isSubscribe; // 是否预约
    private int subscribeTime; // 预约时间
    private long createTime; // 创建时间
    private long acceptTime; // 接单时间
    private int fetchTime; // 到店时间
    private int finishTime; // 完成时间
    private int cancelTime; // 取消时间


    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public class Goods {
        private String name; // 商品名称
        private int number; // 商品数量
        private int price; // 商品价格（单位：分）
    }

}
