package com.zswl.cloud.springBtach.server.core.job.ypp;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.github.microservice.auth.client.content.ResultContent;
import com.zhongshu.payment.client.model.order.v2.GoodsResultModel;
import com.zhongshu.payment.client.model.payment.zswl.CreatePayment2Model;
import com.zhongshu.payment.client.service.v2.OrderService2;
import com.zhongshu.payment.client.service.v2.PaymentService2;
import com.zswl.cloud.springBatch.client.model.ypp.movie.response.CreateOrder2Response;
import com.zswl.cloud.springBtach.server.core.api.ypp.KfcApi;
import com.zswl.cloud.springBtach.server.core.job.standard.StandarPayJob;
import lombok.Data;
import lombok.experimental.Delegate;
import lombok.extern.log4j.Log4j2;
import org.springframework.batch.core.Job;
import org.springframework.batch.core.Step;
import org.springframework.batch.core.launch.support.RunIdIncrementer;
import org.springframework.batch.repeat.RepeatStatus;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.List;

@Data
@Configuration
@Log4j2
public class KfcPayJob {

    @Autowired
    @Delegate
    private StandarPayJob standarPayJob;


    @Autowired
    PaymentService2 paymentService2;

    @Autowired
    OrderService2 orderService2;

    @Autowired
    private KfcApi kfcApi;

    public Step kfcPayStep() {
        return getStepBuilderFactory().get("kfcPayStep")
                .tasklet((contribution, chunkContext) -> {
                    CreatePayment2Model createPayment2Model = standarPayJob.getParameter().get();

                    ResultContent<List<GoodsResultModel>> listResultContent = orderService2.goodsDetail(createPayment2Model.getOrderNo());
//                    GoodsResultModel goodsResultModel = listResultContent.getContent().get(0);
//
//                    CreateOrder2Response bean = JSONUtil.toBean(goodsResultModel.getExtend(), CreateOrder2Response.class);
//                    JSONObject entries = kfcApi.pay_order(bean.getData().getOrderId());

//                    String s = String.valueOf(entries.get("message"));
//                    if (!s.equals("成功")) {
//                        log.info("kfc支付失败");
//                        return RepeatStatus.FINISHED;
//                    }
                    standarPayJob.getResultContent().set(paymentService2.creatPayOrder(createPayment2Model));
                    return RepeatStatus.FINISHED;
                })
                .build();
    }

    @Bean
    public Job kfcPay() {
        return getJobBuilderFactory()
                .get("kfcPay")
                .start(kfcPayStep())
                .incrementer(new RunIdIncrementer())
                .build();
    }


}
