package com.zswl.cloud.springBtach.server.core.task;

import com.github.microservice.auth.client.content.ResultContent;
import com.github.microservice.productcenter.client.model.RegionModel;
import com.github.microservice.productcenter.client.service.RegionService;
import com.github.microservice.productcenter.client.type.RegionType;
import com.zhongshu.payment.client.model.order.AdminSeachOrderModel;
import com.zhongshu.payment.client.model.order.v2.OrderResult2Model;
import com.zhongshu.payment.client.service.v2.OrderService2;
import com.zhongshu.payment.client.service.v2.PaymentService2;
import com.zhongshu.payment.client.type.JobFlowMap;
import com.zhongshu.payment.client.type.OrderType;
import com.zswl.cloud.springBatch.client.model.qiuxiang.OrderDelitResponse;
import com.zswl.cloud.springBatch.client.service.QiuXiangService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.stream.Collectors;

@Log4j2
@Component
public class TaskLogic {

    @Autowired
    private OrderService2 orderService;
    @Autowired
    private QiuXiangService qiuXiangService;
    @Autowired
    private RegionService regionService;

    @Autowired
    private PaymentService2 paymentService2;

    public void qiuXiangSync() {
        com.github.microservice.productcenter.client.ret.ResultContent<Page<RegionModel>> list = regionService.list("", RegionType.Park, Pageable.ofSize(10));
        List<String> collect = list.getContent().get().map(it -> it.getCode()).collect(Collectors.toList());
        String join = String.join(",", collect);
        AdminSeachOrderModel adminSeachOrderModel = new AdminSeachOrderModel();
        adminSeachOrderModel.setOrderType(OrderType.WAIT_USE);
        adminSeachOrderModel.setJobFlowMap(JobFlowMap.QiuXiang);
        adminSeachOrderModel.setCode(join);

        ResultContent<Page<OrderResult2Model>> pageResultContent = orderService.adminSearch(adminSeachOrderModel);
        for (OrderResult2Model orderResult2Model : pageResultContent.getContent()) {
            for (OrderResult2Model.GoodsModel goodsModel : orderResult2Model.getGoodsModelList()) {
                ResultContent<OrderDelitResponse> orderId = qiuXiangService.orderDelit(goodsModel.getId());
                log.info(orderId);
            }

        }
    }

    public void queryWithdrawals() {
        ResultContent<List<String>> listResultContent = paymentService2.unFinishWithdrawals();
        listResultContent.getContent().forEach(it -> paymentService2.queryWithdrawals(it));

    }
}
